/****************************************************************************
**
** Copyright (C) 1992-2004 Trolltech AS. All rights reserved.
**
** This file is part of the embedded classes of the Qt Toolkit.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
**   information about Qt Commercial License Agreements.
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef QDECORATIONHYDRO_QWS_H
#define QDECORATIONHYDRO_QWS_H

#include "qdecorationdefault_qws.h"

#if !defined(QT_NO_QWS_DECORATION_HYDRO) || defined(QT_PLUGIN)

class QDecorationHydro : public QDecorationDefault
{
public:
    QDecorationHydro();
    virtual ~QDecorationHydro();

    virtual QRegion region(const QWidget *, const QRect &rect, DecorItem);
    virtual void paintItem(QPainter *, const QWidget *, DecorItem item = All,
                           DecoreState state = Normal);
protected:
//    virtual int getTitleWidth(const QWidget *);
    virtual int getTitleHeight(const QWidget *);
    virtual const char **menuPixmap();
    virtual const char **closePixmap();
    virtual const char **minimizePixmap();
    virtual const char **maximizePixmap();
    virtual const char **normalizePixmap();
};

#endif // QT_NO_QWS_DECORATION_HYDRO

#endif // QDECORATIONHYDRO_QWS_H
